reSIDfp::Spline Class Reference

`#include <Spline.h>`

## Classes

struct | Point

## Public Member Functions

| Spline (const Point input[], int inputLength)
Point | evaluate (double x)

## Detailed Description

Fritsch-Carlson monotone cubic spline interpolation.

Based on the implementation from the wikipedia page: https://en.wikipedia.org/wiki/Monotone_cubic_interpolation

## Member Function Documentation

## evaluate()

Spline::Point reSIDfp::Spline::evaluate | ( | double | x | ) |

Evaluate y and its derivative at given point x.

The documentation for this class was generated from the following files:

- Spline.h
- Spline.cpp